FormatCallout
Date: 2016-07-03

com.nwalsh.saxon

## Class FormatCallout

- java.lang.Object
- - com.nwalsh.saxon.FormatCallout

- Direct Known Subclasses:
    FormatGraphicCallout, FormatTextCallout, FormatUnicodeCallout

      public abstract class FormatCallout
      extends java.lang.Object

  Utility class for the Verbatim extension (ignore this).

  $Id: FormatCallout.java 7007 2007-07-11 07:09:12Z mzjn $

  Copyright (C) 2000, 2001 Norman Walsh.

  Change Log:

  1.0

    Initial release.

  See Also:
    `Verbatim`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `foStylesheet`
    `protected static java.lang.String` | `foURI`
    `protected com.icl.saxon.om.NamePool` | `namePool`
    `protected static java.lang.String` | `xhURI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormatCallout(com.icl.saxon.om.NamePool nPool, boolean fo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `areaID(org.w3c.dom.Element area)`
    `java.lang.String` | `areaLabel(org.w3c.dom.Element area)`
    `void` | `endSpan(com.icl.saxon.output.Emitter rtf)`
    `abstract void` | `formatCallout(com.icl.saxon.output.Emitter rtfEmitter, Callout callout)`
    `void` | `formatTextCallout(com.icl.saxon.output.Emitter rtfEmitter, Callout callout)`
    `void` | `startSpan(com.icl.saxon.output.Emitter rtf, java.lang.String id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### foURI

          protected static final java.lang.String foURI

      See Also:
        Constant Field Values

    - #### xhURI

          protected static final java.lang.String xhURI

      See Also:
        Constant Field Values

    - #### foStylesheet

          protected boolean foStylesheet

    - #### namePool

          protected com.icl.saxon.om.NamePool namePool

  - ### Constructor Detail

    - #### FormatCallout

          public FormatCallout(com.icl.saxon.om.NamePool nPool,
                       boolean fo)

  - ### Method Detail

    - #### areaLabel

          public java.lang.String areaLabel(org.w3c.dom.Element area)

    - #### areaID

          public java.lang.String areaID(org.w3c.dom.Element area)

    - #### startSpan

          public void startSpan(com.icl.saxon.output.Emitter rtf,
                       java.lang.String id)
                         throws javax.xml.transform.TransformerException

      Throws:
        `javax.xml.transform.TransformerException`

    - #### endSpan

          public void endSpan(com.icl.saxon.output.Emitter rtf)
                       throws javax.xml.transform.TransformerException

      Throws:
        `javax.xml.transform.TransformerException`

    - #### formatTextCallout

          public void formatTextCallout(com.icl.saxon.output.Emitter rtfEmitter,
                               Callout callout)

    - #### formatCallout

          public abstract void formatCallout(com.icl.saxon.output.Emitter rtfEmitter,
                           Callout callout)